﻿@using SSCMvc.Webutil;
@model IEnumerable<SSCMvc.Models.MaClosedReason>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
   <script type="text/javascript">
       deleterecord("MaClosedReason");
    </script>
}

<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Closed Reason List</h1>
</div>
<ul class="breadcrumb">
    <li>@Html.ActionLink("Home", "Index", "Home") <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @Html.ActionLink("Create New", "Create")
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(model => model.Remarks)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.status)
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                      string bgcolor = "oddrow";
                    }
                    @foreach (var item in Model)
                    {
                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr class="@bgcolor">
                            <td>@Html.DisplayFor(modelItem => item.Remarks)
                            </td>
                            <td>@Html.DisplayFor(modelItem => item.status, new { @Styles = "width:50px" })
                            </td>
                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                                
                                @{
                        int roleid = StaticLogic.RoleId();
                        if (Permission.CheckPermission(roleid, SSCMvc.Models.CommonUtil.ClosedReason, UserAction.Delete) == true)
                        {

                            @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "MaClosedReason", new { id = item.Id }, new { @class = "delete-link" }, null)
                        }

                                }
                                
                               
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
    </div>
</div>
